.\" beagle-query(1) manpage
.\"
.\" Copyright (C) 2005 Novell, Inc.
.\"
.TH BEAGLE-QUERY "1" "Feb 2005" "beagle" "Linux User's Manual"
.SH NAME
beagle-query \- search your personal information space
.SH SYNOPSIS
.B beagle-query
[\fIoptions\fR] \fIquery\fR
.SH DESCRIPTION
.BR beagle-query
is used to search your personal information space via Beagle, on the command
line.  It is a command-line form of the beagle-search GNOME program.
.SH OPTIONS
.TP
.B --verbose 
Print detailed information about each hit.
.TP
.B --live-query 
Enable live queries. This argument keeps beagle-query running, continuously
feeding new matching hits as the system gets aware of them.
.TP
.B --mime \fImimetype\fP
Constrain search results to this mime type.  This argument can be
specified multiple times.
.TP
.B --type \fItype\fP
Constrain search results to this item type.  This argument can be
specified multiple times.
.TP
.B --source \fIsource\fP
Constrain query to the specified search source.  A source list can be
obtained from the beagle-status command.
.TP
.B --max-hits
Reduce the number of search results returned per backend. The default is 100,
and this is also the maximum allowed.
.B --stats-only
Show only statistics on the number of search results and how long it took to
get them, and not the results themselves.
.SH AUTHOR
Novell, Inc.
.SH "REPORTING BUGS"
Report bugs to <dashboard-hackers@gnome.org>.
.SH COPYRIGHT
Copyright \(co 2005 Novell, Inc.
.sp
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
.SH "SEE ALSO"
.BR beagled (1),
.BR beagle-shutdown (1),
.BR beagle-status (1),
